INTERFACE
SUBROUTINE MO3DPRJAD(KMODE,KSPACE,KVMOD,KVMODPP,KUMVMO,PVORDI,&
 & PDIVDI,PTDI,PSPDI,PC,PB,PUP,PDIAG,PLOW,PFQ,&
 & PFP) 
USE PARKIND1 ,ONLY : JPIM ,JPRB
USE YOMDIM , ONLY : NFLEVL ,NFLEVG ,NSMAX ,NCMAX ,&
 & NCPEC ,NCPEC2 ,NTMAX ,NTPEC2 ,&
 & NUMTP ,NUMCP 
USE YOMNMIA , ONLY : NVMODM ,NVMODJB ,LNMIRQ ,LFLTBAL ,&
 & LTRANS 
USE YOMCT0 , ONLY : NPRTRV
USE YOMMP , ONLY : NPTRCV ,NCPEC2V
INTEGER(KIND=JPIM),INTENT(IN) :: KMODE
INTEGER(KIND=JPIM),INTENT(IN) :: KSPACE
INTEGER(KIND=JPIM),INTENT(IN) :: KVMOD
INTEGER(KIND=JPIM),INTENT(IN) :: KVMODPP
INTEGER(KIND=JPIM),INTENT(IN) :: KUMVMO(NPRTRV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PVORDI(NFLEVL,NTPEC2)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PDIVDI(NFLEVL,NTPEC2)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PTDI(NFLEVL,NTPEC2)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PSPDI(NTPEC2)
REAL(KIND=JPRB) ,INTENT(IN) :: PC(NCPEC2,NVMODM)
REAL(KIND=JPRB) ,INTENT(IN) :: PB(NCPEC2)
REAL(KIND=JPRB) ,INTENT(IN) :: PUP(NCPEC2)
REAL(KIND=JPRB) ,INTENT(IN) :: PDIAG(NCPEC2,NVMODM)
REAL(KIND=JPRB) ,INTENT(IN) :: PLOW(NCPEC2)
REAL(KIND=JPRB) ,INTENT(IN) :: PFQ(NCPEC)
REAL(KIND=JPRB) ,INTENT(IN) :: PFP(NCPEC)
END SUBROUTINE MO3DPRJAD
END INTERFACE
